Table of Contents

Class: AOTUnjellier | Twisted-0.19.0/twisted/persisted/aot.py
--- | ---
I handle the unjellying of an Abstract Object Tree. See AOTUnjellier.unjellyAO
Methods |
--- | ---
__init__ callAfter unjelly unjellyAO unjellyAttribute unjellyInto unjellyLater
| __init__
    __init__ ( self )
| callAfter
    callAfter (
            self,
            callable,
            result,
            )
| unjelly
    unjelly ( self,  ao )
| unjellyAO
    unjellyAO ( self,  ao )
Unjelly an Abstract Object and everything it contains. I return the real object.
Exceptions |
--- | ---
"instance method changed" TypeError( "Unsupported AOT type: %s" % t ) ValueError("Multiple references with the same ID: %s, %s, %s!" %( ref, refkey, ao ) )
| unjellyAttribute
    unjellyAttribute (
            self,
            instance,
            attrName,
            ao,
            )
### Utility method for unjellying into instances of attributes. Use this rather than unjellyAO unless you like surprising bugs! Alternatively, you can use unjellyInto on your instance's __dict__.
| unjellyInto
    unjellyInto (
            self,
            obj,
            loc,
            ao,
            )
Utility method for unjellying one object into another. This automates the handling of backreferences.
| unjellyLater
    unjellyLater ( self,  node )
Unjelly a node, later.

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:54 2002 by HappyDoc version 2.0